RTF_INIT_FILTER(3)

NAME
rtf_init_filter - Reinitialize the filter with given data

SYNOPSIS

#include <rtfilter.h>

void rtf_init_filter(hfilter filt, const void* data);

DESCRIPTION

rtf_init_filter() initializes the internal states of the filter with one sample of data as if the filter has been applied indefinitely to constant data consisting by this only sample.

data is allowed to be NULL. In such case, the filter is initialized with null signals (i.e. initialized with an input full of 0.0 values).

If data is not NULL, the array pointed by data should be organized the same way as it would be if used in a call to rtf_filter(3) with one sample.

RETURN VALUE
None.

SEE ALSO
rtf_create_filter(3), rtf_filter(3)